> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/annotation/toolmanager-events.md).

# Events

Learn how to get notified of events fired from ToolManager in Xamarin.Android and Xamarin.iOS. Register callbacks for touch, annotation, quick menu events, and more. Explore event APIs and delegate me

You can take certain actions based on events and triggers.

{% tabs %}
{% tab title="Android" %}

## Get notified of events fired from ToolManager in Xamarin.Android

{% hint style="info" %}
**This tutorial only applies to Xamarin.Android. See Xamarin.iOS equivalent here .**
{% endhint %}

The [`ToolManager`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.html) exposes a number of events to allow a subscriber to be notified of events fired from the tools package. There are [a number of methods](/xamarin/annotation/annotation-handling.md#android) that allow you to modify the behaviour of the tools themselves. The methods discussed here are simple notifications, so that the app may coordinate as necessary.

See all event APIs here: [ToolManager events](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.html#events).

| Scenario                                       | Method to use to register your callback                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| ---------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Get notified on touch events                   | Example: [`LongPress`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.html#pdftron_PDF_Tools_ToolManager_LongPress), [`SingleTapConfirmed`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.html#pdftron_PDF_Tools_ToolManager_SingleTapConfirmed) etc.                                                                                                                                                                                  |
| Get notified on annotation events              | Example: [`InterceptAnnotationHandling`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.html#pdftron_PDF_Tools_ToolManager_InterceptAnnotationHandling)                                                                                                                                                                                                                                                                                                                    |
| Get notified on annotation modification events | Example: [`AnnotationsAdded`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.html#pdftron_PDF_Tools_ToolManager_AnnotationsAdded), [`AnnotationsModified`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.html#pdftron_PDF_Tools_ToolManager_AnnotationsModified), [`AnnotationsRemoved`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.html#pdftron_PDF_Tools_ToolManager_AnnotationsRemoved) etc. |
| Get notified on quick menu events              | Example: [`QuickMenuClicked`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.html#pdftron_PDF_Tools_ToolManager_QuickMenuClicked)                                                                                                                                                                                                                                                                                                                                          |
| Get notified on tool changed event             | [`ToolChanged`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.html#pdftron_PDF_Tools_ToolManager_ToolChanged)                                                                                                                                                                                                                                                                                                                                                             |
| {% endtab %}                                   |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |

{% tab title="iOS" %}

## Get notified of events fired from ToolManager in Xamarin.iOS

{% hint style="info" %}
**This tutorial only applies to Xamarin.iOS. See Xamarin.Android equivalent here .**
{% endhint %}

The [`ToolManager`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManager.html)['s](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManager.html)[`ToolManagerDelegate`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManagerDelegate.html) exposes a number of delegate methods to allow a subscriber to be notified of events that are managed by the tools framework. There are [a number of methods](/xamarin/basic-operations/basics/tools/intercept-annotation-handling.md) that allow you to modify the behaviour of the tools themselves. The methods discussed here are simple notifications, so that the app may coordinate as necessary.

1. [`-toolManagerToolChanged:`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManager.html#pdftron_PDF_Tools_PTToolManager_ToolManagerToolChanged) This method is called when the tool changes, for example changing the "active" tool in a toolbar.
2. [`-toolManager:annotationAdded:onPageNumber:`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManager.html#pdftron_PDF_Tools_PTToolManager_AnnotationAdded) [`-toolManager:annotationModified:onPageNumber:`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManager.html#pdftron_PDF_Tools_PTToolManager_AnnotationModified) [`-toolManager:annotationRemoved:onPageNumber:`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManager.html#pdftron_PDF_Tools_PTToolManager_AnnotationRemoved) These methods are called just after an annotation is added, modified or deleted.
   {% endtab %}
   {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/annotation/toolmanager-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
